Skip to main content
`Ctrl`+`K`

# VecHIPRestoreArrayRead

Restore a HIP device pointer previously acquired with `VecHIPGetArrayRead()`.

## Synopsis

    #include <petscvec.h>
    PetscErrorCode VecHIPRestoreArrayRead(Vec v, const PetscScalar **a)

Not Collective; Asynchronous; No Fortran Support

## Input Parameters

- v - the vector

- a - the HIP device pointer

## Note

This routine does not modify the corresponding array on the host in any way. The pointer is invalid after this function returns.

## See Also

Vectors and Parallel Data, `VecHIPGetArrayRead()`, `VecHIPGetArrayWrite()`, `VecHIPGetArray()`, `VecGetArray()`, `VecRestoreArray()`, `VecGetArrayRead()`

## Level

intermediate

## Location

src/vec/vec/impls/seq/cupm/hip/vecseqcupm.hip.cxx

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages